/****************************************************************************
 *   COPYRIGHT 2019 All rights reserved
 *   Panasonic Industrial Devices Europe GmbH
 ****************************************************************************/

#ifndef __MUSIC_H__
#define __MUSIC_H__

int music_init(void);

enum music_tunes {
  music_tune_fuer_elise,
  music_tune_ode_an_die_freude,
  music_tune_kleine_nachtmusik,
};

extern enum music_tunes music_tune;

int music_start(void);

extern void music_started_callback(void);
extern void music_stopped_callback(void);

#endif
